;
; Specific Defines and variables of MIOS Application
;
; ==========================================================================
;
; Copyright (C) 2003  Thorsten Klose (Thorsten.Klose@gmx.de)
; 
; ==========================================================================
; 
; This file is part of an example application
;
; This application is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This application is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this application; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
; ==========================================================================

	;; free memory for user applications:	
	;; 0x010-0x37f
	
	;;These will EQUate variable names with Static RAM addresses.

DISPLAY_UPDATE_REQ	EQU	0x010	; bit 0 will be set to request a display update


ENC_NUMBER		EQU	0x011	; number of last moved encoder
ENC_INC			EQU	0x012	; incrementer value
ENC_VALUE_16BIT_L	EQU	0x014	; low byte of 16-bit absolute value, address must be even!!!
ENC_VALUE_16BIT_H	EQU	0x015	; high byte of 16-bit absolute value, address must be odd!!!
CHANNEL_NUMBER          EQU     0x016   ;
DB_VALUE                EQU     0x017   ;

PGA_SR_CTR		EQU	0x018 ;
PGA_SR_BIT_CTR		EQU	0x019 ;
PGA_SR			EQU	0x01A ;

MIDI_CC_CHAN	EQU 0x01B;
MIDI_DISP_CHAN	EQU 0x01C;
paircount		EQU	0x01D;
master			EQU	0x01E;
ChanScan		EQU	0x01F;
meterchars		EQU	0x020;
meterlevel		EQU	0x021;
metertrip		EQU	0x022;
loghold			EQU	0x023;

; BANK 0, Non-Access RAM ;; does not matter since we use FSRs for all access
;; 32 audio channels seems reasonable.. 16 stereo pairs, 8 PGA4311 chips or 16 PGA2311 chips
CHANNEL_GAIN_0          EQU     0x060;
CHANNEL_GAIN_31			EQU		0x07F; 

; 16 channels each for MIDI parameters
MIDI_VOL_0				EQU		0x080;	- 0x08F Table of current MIDI volume settings
MIDI_BAL_0				EQU		0x090;  - 0x09F	Table of current MIDI Balance/Pan settings 
 
