
; MIOS Pedal Box / Pedal Board - pbx_device.h v0.95
; For pbx version beta1.13
; ==========================================================================
;
;  Copyright (C) 2007  Mick Crozier mcrozier@iinet.net.au
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

        list    p=18f452

        ;; BankStick address range:
        ;; 32k BankStick (24LC256): 0x400000-0x407fff

ERRORLEVEL -220 ;; supress address out of range warning
ERRORLEVEL -205 ;; supress found directive warning
ERRORLEVEL -206 ;; supress found call to macro warning

radix dec ;; use decomal numbers unless specified

	;; event_map entry structure
EVENT_MAP_ENTRY MACRO event_name, status, param1, event_handler
	db	event_name, status, param1, event_handler
	ENDM

	;; value_map entry structure
VALUE_MAP_ENTRY MACRO param2_name, param2
	db	param2_name, param2
	ENDM

	;; ain_map entry structure
AIN_MAP_ENTRY MACRO entry, low_value, high_value
	db	entry, low_value, high_value
	ENDM

	;; din_map entry structure
DIN_MAP_ENTRY MACRO entry, low_value, high_value, button_type
	db	entry, low_value, high_value, button_type
	ENDM

	;; ain_fixed entry structure
AIN_FIXED MACRO pedal1, pedal2, pedal3, pedal4, pedal5, pedal6, pedal7, pedal8
    org 0x406900
	db	pedal1, pedal2, pedal3, pedal4, pedal5, pedal6, pedal7, pedal8
	ENDM

	;; info entry structure
INFO MACRO device_name, channel
    org 0x406800
	db	device_name
	org 0x406ffe
	db (channel - 1)
	ENDM

ENTRIES MACRO entries
	db	entries
	ENDM

; Event Types
#define PROGRAM_CHANGE   0
#define ON_OFF_ONLY      1
#define TAP_TEMPO        2
#define METER_ONLY       3
#define METER_OFF        4
#define METER_ON_OFF     5
#define METER_PAN        6
#define VALUE            7
#define USE_MAP_1        8
#define USE_MAP_2        9
#define USE_MAP_3        10
#define USE_MAP_4        11
#define USE_MAP_5        12
#define USE_MAP_6        13
#define USE_MAP_7        14
#define USE_MAP_8        15
#define USE_MAP_9        16

#define SWITCH           0
#define MOMENT           1
