


; MIOS Pedal Box / Pedal Board - pbx_tables_skeleton.asm v<version>
; Compatable with application v1.0 - August 2007
; ==========================================================================
;
;  Copyright (C) year  name  <email>
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; For <Device Name>
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;       "Name = 16 Chars ", Channel (1-16)
INFO    "Device Name Here", 1


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Event Map
 ;;
 ;; The event map contains the status and parameter 1 byte of a midi event.
 ;; As well as 16 byte name, and an identifier for the type of function
 ;; that midi event serves - called paramerter 2 definition.
 ;;
 ;;
 ;; Name = Name assigned to control, MUST BE 16 characters long
 ;;
 ;; Status = Data type and channel USE CH. 1 ONLY
 ;;    80  =  Note Off Ch.1
 ;;    90  =  Note On Ch.1
 ;;    B0  =  Control Change Ch.1
 ;;    C0  =  Program (patch) change Ch.1
 ;;
 ;;
 ;;
 ;; param1 = Number of control / program change
 ;;
 ;; Event_handler = data map associataed with the value of parameter 2
 ;;   PROGRAM_CHANGE  =  Program Changes
 ;;   ON_OFF_ONLY     =  On / Off Only
 ;;   TAP_TEMPO       =  Tap Tempo display
 ;;   METER_ONLY      =  Display bar graph only
 ;;   METER_OFF       =  bar graph / 'Off' when 0
 ;;   METER_ON_OFF    =  bar graph / 'Off' when 0, and 'On' when 127
 ;;   METER_PAN       =  bar gragh centered in middle of screen
 ;;   VALUE           =  Displays number only
 ;;   USE_MAP_1       =  param2_lcd_value_map_1
 ;;   USE_MAP_2       =  param2_lcd_value_map_2
 ;;   USE_MAP_3       =  param2_lcd_value_map_3
 ;;   USE_MAP_4       =  param2_lcd_value_map_4
 ;;   USE_MAP_5       =  param2_lcd_value_map_5
 ;;   USE_MAP_6       =  param2_lcd_value_map_6
 ;;   USE_MAP_7       =  param2_lcd_value_map_7
 ;;   USE_MAP_8       =  param2_lcd_value_map_8
 ;;   USE_MAP_9       =  param2_lcd_value_map_9
 ;;
 ;;
 ;; All messages are shown on matching incoming midi events
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 org   0x400000

;; 0- These are the CC's
;                    "Name        ", Status, Param1, Event_handler
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x01, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x02, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x03, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x04, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x05, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x06, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x07, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x08, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x09, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x0f, METER_ONLY

;; 16-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x10, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x11, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x12, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x13, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x14, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x15, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x16, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x17, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x18, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x19, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x1f, METER_ONLY

;;32-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x20, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x21, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x22, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x23, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x24, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x25, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x26, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x27, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x28, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x29, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x2f, METER_ONLY

;;48-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x30, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x31, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x32, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x33, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x34, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x35, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x36, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x37, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x38, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x39, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x3f, METER_ONLY

;; 64-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x40, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x41, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x42, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x43, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x44, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x45, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x46, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x47, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x48, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x49, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x4f, METER_ONLY

;; 80-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x50, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x51, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x52, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x53, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x54, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x55, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x56, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x57, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x58, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x59, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x5f, METER_ONLY

;; 96-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x60, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x61, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x62, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x63, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x64, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x65, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x66, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x67, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x68, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x69, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x6f, METER_ONLY

;; 112-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x70, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x71, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x72, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x73, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x74, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x75, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x76, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x77, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x78, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x79, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7b, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7c, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7d, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7e, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x7f, METER_ONLY


;;128-, program changes
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x00, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x01, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x02, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x03, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x04, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x05, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x06, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x07, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x08, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x09, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x0f, PROGRAM_CHANGE

;; 143-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x10, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x11, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x12, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x13, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x14, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x15, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x16, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x17, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x18, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x19, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x1f, PROGRAM_CHANGE

;; 160-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x20, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x21, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x22, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x23, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x24, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x25, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x26, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x27, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x28, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x29, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x2f, PROGRAM_CHANGE

;; 176-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x30, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x31, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x32, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x33, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x34, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x35, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x36, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x37, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x38, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x39, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x3f, PROGRAM_CHANGE

;; 192-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x40, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x41, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x42, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x43, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x44, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x45, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x46, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x47, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x48, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x49, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x4f, PROGRAM_CHANGE

;; 208-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x50, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x51, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x52, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x53, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x54, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x55, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x56, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x57, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x58, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x59, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x5f, PROGRAM_CHANGE

;; 224-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x60, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x61, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x62, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x63, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x64, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x65, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x66, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x67, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x68, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x69, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x6f, PROGRAM_CHANGE

;; 240-
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x70, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x71, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x72, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x73, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x74, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x75, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x76, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x77, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x78, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x79, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "                ", 0xc0, 0x7f, PROGRAM_CHANGE


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Param2 Value Maps
 ;;
 ;; These tables allow specified controllers to display names for values
 ;; Controllers are assigned to these maps from the event_map table 'param2_def' 6-15
 ;;
 ;; The LCD will display the name for the exact value match or no exact match - the listed value below
 ;;
 ;;
 ;; ENTRIES   ###   How many entries in table -  MAX 128
 ;;
 ;; Name = Name of value (MUST BE 16 CHARACTERS)
 ;;
 ;; param2 = Value of parameter 2 byte (0x00 - 0x7f)
 ;;
 ;;
 ;; When editing a table don't forget to change the ENTRIES to suit.
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; 0x00 -- <event>

; param2_lcd_value_map_1
org 0x401400

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09

;; 0x00 -- <event>
; param2_lcd_value_map_2
org 0x401d02

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09



;; 0x00 -- <event>
; param2_lcd_value_map_3
org 0x402604

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_4
org 0x402f06

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_5
org 0x403808

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_6
org 0x40410a

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_7
org 0x404a0c

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09



;; 0x00 -- <event>
; param2_lcd_value_map_8
org 0x40530e

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_9
org 0x405c10

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_default_maps (1 for each pedal input)
 ;;
 ;;
 ;; Contains the entry number, low value and high value
 ;; Each row represents the program change #
 ;;
 ;; entry = Entry in the event_map that should be associatd.
 ;; low_value = the lowest possible value (parameter 2 byte) to send
 ;; high_value = the highest possible value (parameter 2 byte) to send
 ;;
 ;; The parameter 2 value sent will be scaled between the low and high values
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;; Default event_map entry numbers of inputs

; AIN_default_map_0
org 0x407000

;               entry, low value, high value
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x7f



; AIN_default_map_1
org 0x407200

; entry, low value, high value
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f
  AIN_MAP_ENTRY    1  , 0x00, 0x7f


; AIN_default_map_2
org 0x407400

; entry, low value, high value
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f
  AIN_MAP_ENTRY    2  , 0x00, 0x7f


; AIN_default_map_3
org 0x407600

; entry, low value, high value
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f


; AIN_default_map_4
org 0x407800

; entry, low value, high value
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f
  AIN_MAP_ENTRY    4  , 0x00, 0x7f

; AIN_default_map_5
org 0x407a00

; entry, low value, high value
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f
  AIN_MAP_ENTRY    5  , 0x00, 0x7f


; AIN_default_map_6
org 0x407c00

; entry, low value, high value
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f
  AIN_MAP_ENTRY    6  , 0x00, 0x7f


; AIN_default_map_7
org 0x407e00

; entry, low value, high value
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_FIXED - Pedals set 0 will change depending on the Program change #
 ;;             If set to 1, only the first entry of the relevant table is used
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;AIN         0 1 2 3 4 5 6 7
AIN_FIXED    0,0,0,0,0,0,0,0

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; DIN_default_map
 ;;
 ;; Contains the event_map entry number, and the low/high midi data to be sent
 ;;
 ;;
 ;; entry = Entry in the event_map that should be associatd. (0 - 255)
 ;; low_value = the lowest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; high_value = the highest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; type = how to handle button presses (SWITCH or MOMENT)
 ;;
 ;; With type set to SWITCH Pressing the button toggles between low and high (Switching)
 ;; With type set to MOMENT Pressing the button sets high value and releasing sets low (Momentary)
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; DIN_default_map
org 0x406520

;            entry, low value, high value, type}
  ;; Fixed Buttons
  DIN_MAP_ENTRY    0  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    1  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    2  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    3  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    4  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    5  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    6  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    7  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    8  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    9  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    10 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    11 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    12 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    13 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    14 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    26 , 0x00, 0x7f, SWITCH

 ;; Banked Buttons
  DIN_MAP_ENTRY    128, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    129, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    130, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    131, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    132, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    133, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    134, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    135, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    136, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    137, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    138, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    139, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    140, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    141, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    142, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    143, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    144, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    145, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    146, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    147, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    148, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    149, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    150, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    151, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    152, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    153, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    154, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    155, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    156, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    157, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    158, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    159, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    160, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    161, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    162, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    163, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    164, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    165, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    166, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    167, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    168, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    169, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    170, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    171, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    172, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    173, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    174, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    175, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    176, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    177, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    178, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    179, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    180, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    181, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    182, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    183, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    184, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    185, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    186, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    187, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    188, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    189, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    190, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    191, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    192, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    193, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    194, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    195, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    196, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    197, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    198, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    199, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    200, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    201, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    202, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    203, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    204, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    205, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    206, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    207, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    208, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    209, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    210, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    211, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    212, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    213, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    214, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    215, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    216, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    217, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    218, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    219, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    220, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    221, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    222, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    223, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    224, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    225, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    226, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    227, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    228, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    229, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    230, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    231, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    232, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    233, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    234, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    235, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    236, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    237, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    238, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    239, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    240, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    241, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    242, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    243, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    244, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    245, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    246, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    247, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    248, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    249, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    250, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    251, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    252, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    253, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    254, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH

END
