


; MIOS Pedal Box / Pedal Board - pbx_tables_lxpro.asm
; Compatable with application v1.0 - August 2007
; ==========================================================================
;
;  Copyright (C) 2007  Mick Crozier mcrozier@iinet.net.au
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; For Behringer V-Amp Pro / V-Amp 2 / V-Ampire
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;;    "Name            ", Channel (1-16)
INFO   "Behringer V-Amp ", 1


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Event Map
 ;;
 ;; The event map contains the status and parameter 1 byte of a midi event.
 ;; As well as 16 byte name, and an identifier for the type of function
 ;; that midi event serves - called paramerter 2 definition.
 ;;
 ;;
 ;; Name = Name assigned to control, MUST BE 16 characters long
 ;;
 ;; Status = Data type and channel USE CH. 1 ONLY
 ;;    80  =  Note Off Ch.1
 ;;    90  =  Note On Ch.1
 ;;    B0  =  Control Change Ch.1
 ;;    C0  =  Program (patch) change Ch.1
 ;;
 ;;
 ;;
 ;; param1 = Number of control / program change
 ;;
 ;; Event_handler = data map associataed with the value of parameter 2
 ;;   PROGRAM_CHANGE  =  Program Changes
 ;;   ON_OFF_ONLY     =  On / Off Only
 ;;   TAP_TEMPO       =  Tap Tempo display
 ;;   METER_ONLY      =  Display bar graph only
 ;;   METER_OFF       =  bar graph / 'Off' when 0
 ;;   METER_ON_OFF    =  bar graph / 'Off' when 0, and 'On' when 127
 ;;   METER_PAN       =  bar gragh centered in middle of screen
 ;;   VALUE           =  Displays number only
 ;;   USE_MAP_1       =  param2_lcd_value_map_1
 ;;   USE_MAP_2       =  param2_lcd_value_map_2
 ;;   USE_MAP_3       =  param2_lcd_value_map_3
 ;;   USE_MAP_4       =  param2_lcd_value_map_4
 ;;   USE_MAP_5       =  param2_lcd_value_map_5
 ;;   USE_MAP_6       =  param2_lcd_value_map_6
 ;;   USE_MAP_7       =  param2_lcd_value_map_7
 ;;   USE_MAP_8       =  param2_lcd_value_map_8
 ;;   USE_MAP_9       =  param2_lcd_value_map_9
 ;;
 ;;
 ;; All messages are shown on matching incoming midi events
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 org   0x400000   ;; Never change origin

;; 0- These are the CC's
;                     "Name        ", Status, Param1, event_handler
  EVENT_MAP_ENTRY    "Volume          ", 0xb0, 0x07, METER_OFF
  EVENT_MAP_ENTRY    "Amp Gain        ", 0xb0, 0x0c, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Treble      ", 0xb0, 0x0d, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Mid         ", 0xb0, 0x0e, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Bass        ", 0xb0, 0x0f, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Vol         ", 0xb0, 0x10, METER_OFF
  EVENT_MAP_ENTRY    "Presence        ", 0xb0, 0x11, METER_ONLY
  EVENT_MAP_ENTRY    "Reverb Mix      ", 0xb0, 0x12, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Type        ", 0xb0, 0x13, USE_MAP_2
  EVENT_MAP_ENTRY    "Fx Type         ", 0xb0, 0x14, USE_MAP_8
  EVENT_MAP_ENTRY    "Fx Send         ", 0xb0, 0x15, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Reverb Send     ", 0xb0, 0x16, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Cabinet Type    ", 0xb0, 0x17, USE_MAP_3
  EVENT_MAP_ENTRY    "Reverb Type     ", 0xb0, 0x18, USE_MAP_4
  EVENT_MAP_ENTRY    "Noise Gate Level", 0xb0, 0x19, USE_MAP_7
  EVENT_MAP_ENTRY    "Drive           ", 0xb0, 0x1a, ON_OFF_ONLY

;; 16-
  EVENT_MAP_ENTRY    "Wah Pedal       ", 0xb0, 0x1b, METER_ONLY
  EVENT_MAP_ENTRY    "pre Effect Type ", 0xb0, 0x2c, USE_MAP_6
  EVENT_MAP_ENTRY    "pre Effect Par 1", 0xb0, 0x2d, METER_ONLY
  EVENT_MAP_ENTRY    "pre Effect Par 2", 0xb0, 0x2e, METER_ONLY
  EVENT_MAP_ENTRY    "pre Effect Par 3", 0xb0, 0x2f, METER_ONLY
  EVENT_MAP_ENTRY    "pre Effect Par 4", 0xb0, 0x30, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Type      ", 0xb0, 0x31, USE_MAP_5
  EVENT_MAP_ENTRY    "Delay Time hi   ", 0xb0, 0x32, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Time lo   ", 0xb0, 0x33, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Spread    ", 0xb0, 0x34, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Feedback  ", 0xb0, 0x35, METER_OFF
  EVENT_MAP_ENTRY    "Delay Mix       ", 0xb0, 0x36, METER_OFF
  EVENT_MAP_ENTRY    "Post Fx Mode    ", 0xb0, 0x37, USE_MAP_1
  EVENT_MAP_ENTRY    "Post FX Par 1   ", 0xb0, 0x38, METER_ONLY
  EVENT_MAP_ENTRY    "Post Fx Par 2   ", 0xb0, 0x39, METER_ONLY
  EVENT_MAP_ENTRY    "Post Fx par 3   ", 0xb0, 0x3a, METER_ONLY

;;32-
  EVENT_MAP_ENTRY    "Post Fx Mix     ", 0xb0, 0x3b, METER_OFF
  EVENT_MAP_ENTRY    "Assign FX Contro", 0xb0, 0x3c, METER_ONLY
  EVENT_MAP_ENTRY    "Amp Type no cab ", 0xb0, 0x3d, USE_MAP_2
  EVENT_MAP_ENTRY    "Tap             ", 0xb0, 0x40, TAP_TEMPO
  EVENT_MAP_ENTRY    "Tuner Volume    ", 0xb0, 0x52, METER_OFF
  EVENT_MAP_ENTRY    "Tuner Cen. Freq ", 0xb0, 0x53, METER_OFF
  EVENT_MAP_ENTRY    "Live EQ Treble  ", 0xb0, 0x55, METER_ONLY
  EVENT_MAP_ENTRY    "Live EQ Mid     ", 0xb0, 0x56, METER_ONLY
  EVENT_MAP_ENTRY    "Live EQ Bass    ", 0xb0, 0x57, METER_ONLY
  EVENT_MAP_ENTRY    "Digital Out VPro", 0xb0, 0x58, USE_MAP_9
  EVENT_MAP_ENTRY    "Input Gain      ", 0xb0, 0x59, METER_OFF
  EVENT_MAP_ENTRY    "Wah Character   ", 0xb0, 0x5a, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0

;;48-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0

;; 64-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0

;; 80-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0

;; 96-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0

;; 112-
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, 0


;;128-, program changes
  EVENT_MAP_ENTRY    "Street w/o name ", 0xc0, 0x00, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "SRV             ", 0xc0, 0x01, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Every Breath U T", 0xc0, 0x02, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Sultans 'O Swing", 0xc0, 0x03, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "ZZ's Lovin'     ", 0xc0, 0x04, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Highway To Hell ", 0xc0, 0x05, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Ain't Talkin b..", 0xc0, 0x06, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Crazy Diamond   ", 0xc0, 0x07, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Under The Bridge", 0xc0, 0x08, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Wring that Neck ", 0xc0, 0x09, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "You Oughta Know ", 0xc0, 0x0a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Little Head     ", 0xc0, 0x0b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "General Lee     ", 0xc0, 0x0c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Wheatherman     ", 0xc0, 0x0d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Larry w/o Lee   ", 0xc0, 0x0e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Straight Rhythem", 0xc0, 0x0f, PROGRAM_CHANGE

;; 144-
  EVENT_MAP_ENTRY    "Straight Crunch ", 0xc0, 0x10, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Straight Drive  ", 0xc0, 0x11, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Still Got Blues ", 0xc0, 0x12, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Money For Nothin", 0xc0, 0x13, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Ultimate Rhythem", 0xc0, 0x14, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Big Venue       ", 0xc0, 0x15, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Ambience Crunch ", 0xc0, 0x16, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Long Clean Delay", 0xc0, 0x17, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Make Me Dizzy   ", 0xc0, 0x18, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dry Rhythem     ", 0xc0, 0x19, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Eddie's Tapping ", 0xc0, 0x1a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Crunchy Chorus  ", 0xc0, 0x1b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Heaven's Ballad ", 0xc0, 0x1c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Savage Ultra    ", 0xc0, 0x1d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Blue Rhythem    ", 0xc0, 0x1e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Blue Lead       ", 0xc0, 0x1f, PROGRAM_CHANGE

;; 160-
  EVENT_MAP_ENTRY    "Voxy Drive      ", 0xc0, 0x20, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Clean Comping   ", 0xc0, 0x21, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Rodden's Blues  ", 0xc0, 0x22, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dry Funk        ", 0xc0, 0x23, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Full Blown Solo ", 0xc0, 0x24, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Quack           ", 0xc0, 0x25, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Less Is More    ", 0xc0, 0x26, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Edge 'n Bite    ", 0xc0, 0x27, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Nu Bad Rhythem  ", 0xc0, 0x28, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "MAKE MY D(e)AY  ", 0xc0, 0x29, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Doubled Solo    ", 0xc0, 0x2a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Is This Love?   ", 0xc0, 0x2b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Automatic Solo  ", 0xc0, 0x2c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Ambience Combo  ", 0xc0, 0x2d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Canyon Rock     ", 0xc0, 0x2e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Run To You      ", 0xc0, 0x2f, PROGRAM_CHANGE

;; 176-
  EVENT_MAP_ENTRY    "Bathroom Champ  ", 0xc0, 0x30, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Twins?          ", 0xc0, 0x31, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Solo Force 1    ", 0xc0, 0x32, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Rhythem Force   ", 0xc0, 0x33, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "FX Me!          ", 0xc0, 0x34, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "A-Wah Attack    ", 0xc0, 0x35, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Innocent Clear  ", 0xc0, 0x36, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Solo Force 2    ", 0xc0, 0x37, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Solo Force 3    ", 0xc0, 0x38, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Richie's Dream  ", 0xc0, 0x39, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Paganini Solo   ", 0xc0, 0x3a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dizzy Lizzy     ", 0xc0, 0x3b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Timebomb!       ", 0xc0, 0x3c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Uni Rhythem     ", 0xc0, 0x3d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Clean & Loud    ", 0xc0, 0x3e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Clean & Broad   ", 0xc0, 0x3f, PROGRAM_CHANGE

;; 192-
  EVENT_MAP_ENTRY    "Saga Solo       ", 0xc0, 0x40, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tube 2.0        ", 0xc0, 0x41, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Strat Solo      ", 0xc0, 0x42, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "L.A Clean       ", 0xc0, 0x43, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dist. Rhythem   ", 0xc0, 0x44, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dist. Solo      ", 0xc0, 0x45, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Rhythem Crunch  ", 0xc0, 0x46, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Blues Lead      ", 0xc0, 0x47, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tele Twang      ", 0xc0, 0x48, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tele Jazzy      ", 0xc0, 0x49, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Ch+Del Lead     ", 0xc0, 0x4a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Recti-Rhythem 1 ", 0xc0, 0x4b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Recti-Rhythem 2 ", 0xc0, 0x4c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Recti-Solo Bal. ", 0xc0, 0x4d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dynamite Crunch ", 0xc0, 0x4e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Heavy Funk      ", 0xc0, 0x4f, PROGRAM_CHANGE

;; 208-
  EVENT_MAP_ENTRY    "Spacy Clean     ", 0xc0, 0x50, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "2H Tap Clean    ", 0xc0, 0x51, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Clean Accomp.   ", 0xc0, 0x52, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Blusey Tremelo  ", 0xc0, 0x53, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Dry Riff Clean  ", 0xc0, 0x54, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Balladeer       ", 0xc0, 0x55, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Breakin Blues   ", 0xc0, 0x56, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Westm Abbey Rock", 0xc0, 0x57, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Rectified Chorus", 0xc0, 0x58, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "SLO Lead Chorus ", 0xc0, 0x59, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Raw Crunch      ", 0xc0, 0x5a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "2x12 Crunch     ", 0xc0, 0x5b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "V-heaven        ", 0xc0, 0x5c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Flying Crunch   ", 0xc0, 0x5d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Drive 2 Space   ", 0xc0, 0x5e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Slow Motion     ", 0xc0, 0x5f, PROGRAM_CHANGE

;; 224-
  EVENT_MAP_ENTRY    "Whale Watching  ", 0xc0, 0x60, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Wah 'ts dat     ", 0xc0, 0x61, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Wet Dreams      ", 0xc0, 0x62, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Stratosphere    ", 0xc0, 0x63, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Fractal Blubber ", 0xc0, 0x64, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Driving Duck    ", 0xc0, 0x65, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Parcivai's Virus", 0xc0, 0x66, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Fat On Stage    ", 0xc0, 0x67, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Watch The DJ    ", 0xc0, 0x68, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Next To U       ", 0xc0, 0x69, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Virus Fat       ", 0xc0, 0x6a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Didgeridoo      ", 0xc0, 0x6b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Sonar           ", 0xc0, 0x6c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "303 Flubber 135b", 0xc0, 0x6d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Delay Line      ", 0xc0, 0x6e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Gentrifugal Powe", 0xc0, 0x6f, PROGRAM_CHANGE

;; 240-
  EVENT_MAP_ENTRY    "Parcivai's Drum1", 0xc0, 0x70, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Parcivai's Drum2", 0xc0, 0x71, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Bad BD 2        ", 0xc0, 0x72, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Blubbb          ", 0xc0, 0x73, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "BD Fat 1        ", 0xc0, 0x74, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "BD Fat 2        ", 0xc0, 0x75, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Bad BD 1        ", 0xc0, 0x76, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Percussion Tube ", 0xc0, 0x77, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Steam Industry  ", 0xc0, 0x78, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Soft Shaker Perc", 0xc0, 0x79, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Percussion Delay", 0xc0, 0x7a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "C64 Percussion  ", 0xc0, 0x7b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Percussion Spin ", 0xc0, 0x7c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tuner           ", 0xc0, 0x7f, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tuner           ", 0xc0, 0x7f, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "Tuner           ", 0xc0, 0x7f, PROGRAM_CHANGE


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Param2 Value Maps
 ;;
 ;; These tables allow specified controllers to display names for values
 ;; Controllers are assigned to these maps from the event_map table 'param2_def' 6-15
 ;;
 ;; The LCD will display the name for the exact value match or no exact match - the listed value below
 ;;
 ;;
 ;; ENTRIES   ###   How many entries in table -  MAX 128
 ;;
 ;;
 ;;
 ;;
 ;; When editing a table don't forget to change the ENTRIES to suit.
 ;;
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;0x37 - Post Effect mode

; param2_lcd_value_map_1
org 0x401400

  ENTRIES    7
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Rotary          ", 0x00
  VALUE_MAP_ENTRY    "Phaser          ", 0x01
  VALUE_MAP_ENTRY    "Tremelo         ", 0x02
  VALUE_MAP_ENTRY    "Mono Chorus     ", 0x03
  VALUE_MAP_ENTRY    "Stereo Chorus   ", 0x04
  VALUE_MAP_ENTRY    "Mono Flanger    ", 0x05
  VALUE_MAP_ENTRY    "Stereo Flanger  ", 0x06


;;0x3d -- Amp Type
; param2_lcd_value_map_2
org 0x401d02

  ENTRIES    33
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "American Blues  ", 0x00
  VALUE_MAP_ENTRY    "Modern Class A  ", 0x01
  VALUE_MAP_ENTRY    "Tweed Combo     ", 0x02
  VALUE_MAP_ENTRY    "Classic Clean   ", 0x03
  VALUE_MAP_ENTRY    "Brit Blues      ", 0x04
  VALUE_MAP_ENTRY    "Brit Class A    ", 0x05
  VALUE_MAP_ENTRY    "Brit Classic    ", 0x06
  VALUE_MAP_ENTRY    "Brit Hi Gain    ", 0x07
  VALUE_MAP_ENTRY    "Rectified HiGain", 0x08
  VALUE_MAP_ENTRY    "Modern Hi Gain  ", 0x09
  VALUE_MAP_ENTRY    "Fuzz Box        ", 0x0a
  VALUE_MAP_ENTRY    "Ultimate V-AMP  ", 0x0b
  VALUE_MAP_ENTRY    "Drive V-AMP     ", 0x0c
  VALUE_MAP_ENTRY    "Crunch V-AMP    ", 0x0d
  VALUE_MAP_ENTRY    "Clean V-AMP     ", 0x0e
  VALUE_MAP_ENTRY    "Tube Preamp     ", 0x0f
  VALUE_MAP_ENTRY    "and Deluxe      ", 0x10
  VALUE_MAP_ENTRY    "Custom Class A  ", 0x11
  VALUE_MAP_ENTRY    "Small Combo     ", 0x12
  VALUE_MAP_ENTRY    "Black Twin      ", 0x13
  VALUE_MAP_ENTRY    "and Custom      ", 0x14
  VALUE_MAP_ENTRY    "non top boost   ", 0x15
  VALUE_MAP_ENTRY    "Classic 50      ", 0x16
  VALUE_MAP_ENTRY    "Brit Class A 15 ", 0x17
  VALUE_MAP_ENTRY    "Rectified Head  ", 0x18
  VALUE_MAP_ENTRY    "Savage Beast    ", 0x19
  VALUE_MAP_ENTRY    "Custom Hi Gain  ", 0x1a
  VALUE_MAP_ENTRY    "Ultimate Plus   ", 0x1b
  VALUE_MAP_ENTRY    "California Drive", 0x1c
  VALUE_MAP_ENTRY    "Custom Drive    ", 0x1d
  VALUE_MAP_ENTRY    "California Clean", 0x1e
  VALUE_MAP_ENTRY    "Custom Clean    ", 0x1f
  VALUE_MAP_ENTRY    "Amp Bypass      ", 0x20


;; 0x17 -- Cab Type
; param2_lcd_value_map_3
org 0x402604

  ENTRIES    16
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "None            ", 0x00
  VALUE_MAP_ENTRY    "1x8 Vint Tweed  ", 0x01
  VALUE_MAP_ENTRY    "4x10 Vint Bass  ", 0x02
  VALUE_MAP_ENTRY    "4x10 V-Amp Cust ", 0x03
  VALUE_MAP_ENTRY    "1x12 Mid Combo  ", 0x04
  VALUE_MAP_ENTRY    "1x12 Blackface  ", 0x05
  VALUE_MAP_ENTRY    "1x12 Brit '60   ", 0x06
  VALUE_MAP_ENTRY    "1x12 Deluxe '52 ", 0x07
  VALUE_MAP_ENTRY    "2x12 Twin Combo ", 0x08
  VALUE_MAP_ENTRY    "2x12 US A Class ", 0x09
  VALUE_MAP_ENTRY    "2x12 V-Amp Cust ", 0x0a
  VALUE_MAP_ENTRY    "2x12 Brit '67   ", 0x0b
  VALUE_MAP_ENTRY    "4x12 Vint 30    ", 0x0c
  VALUE_MAP_ENTRY    "4x12 Standard 78", 0x0d
  VALUE_MAP_ENTRY    "4x12 Off Axis   ", 0x0e
  VALUE_MAP_ENTRY    "4x12 V-Amp Cust ", 0x0f


;; 0x18 -- Reverb Type
; param2_lcd_value_map_4
org 0x402f06

  ENTRIES    6
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Tiny room       ", 0x00
  VALUE_MAP_ENTRY    "Small Room      ", 0x01
  VALUE_MAP_ENTRY    "Medium Room     ", 0x02
  VALUE_MAP_ENTRY    "Large Room      ", 0x03
  VALUE_MAP_ENTRY    "Ultra Room      ", 0x04
  VALUE_MAP_ENTRY    "Small Spring    ", 0x05
  VALUE_MAP_ENTRY    "Medium Spring   ", 0x06
  VALUE_MAP_ENTRY    "Short Ambience  ", 0x07
  VALUE_MAP_ENTRY    "Long Ambience   ", 0x08


;;0x31 -- Delay Type
; param2_lcd_value_map_5
org 0x403808

  ENTRIES    3
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Simple Delay    ", 0x00
  VALUE_MAP_ENTRY    "R/L echo wFilter", 0x01
  VALUE_MAP_ENTRY    "L/R/C Ping Pong ", 0x02


;;0x2c -- Pre FX
; param2_lcd_value_map_6
org 0x40410a

  ENTRIES    3
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "None            ", 0x00
  VALUE_MAP_ENTRY    "Compresor       ", 0x01
  VALUE_MAP_ENTRY    "Auto Wah        ", 0x02


;;0x19 -- Expander (Noise Gate Threshold)
; param2_lcd_value_map_7
org 0x404a0c

  ENTRIES    16
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Off             ", 0x00
  VALUE_MAP_ENTRY    "-90dB/250ms     ", 0x01
  VALUE_MAP_ENTRY    "-87dB/250ms     ", 0x02
  VALUE_MAP_ENTRY    "-84dB/250ms     ", 0x03
  VALUE_MAP_ENTRY    "-81dB/250ms     ", 0x04
  VALUE_MAP_ENTRY    "-78dB/250ms     ", 0x05
  VALUE_MAP_ENTRY    "-75dB/250ms     ", 0x06
  VALUE_MAP_ENTRY    "-72dB/250ms     ", 0x07
  VALUE_MAP_ENTRY    "-69dB/290ms     ", 0x08
  VALUE_MAP_ENTRY    "-66dB/330ms     ", 0x09
  VALUE_MAP_ENTRY    "-63dB/330ms     ", 0x0a
  VALUE_MAP_ENTRY    "-60dB/380ms     ", 0x0b
  VALUE_MAP_ENTRY    "-57dB/460ms     ", 0x0c
  VALUE_MAP_ENTRY    "-54dB/460ms     ", 0x0d
  VALUE_MAP_ENTRY    "-51dB/570ms     ", 0x0e
  VALUE_MAP_ENTRY    "-48dB/570ms     ", 0x0f



;;0x14 - Post FX Type with defaults
; param2_lcd_value_map_8
org 0x40530e

  ENTRIES    16
;                    "Name           ", param2
  VALUE_MAP_ENTRY    "Echo RL w/filter", 0x00
  VALUE_MAP_ENTRY    "Delay           ", 0x01
  VALUE_MAP_ENTRY    "Ping Pong L/R/C ", 0x02
  VALUE_MAP_ENTRY    "Phaser/Delay    ", 0x03
  VALUE_MAP_ENTRY    "Flanger/Delay 1 ", 0x04
  VALUE_MAP_ENTRY    "Flanger/Delay 2 ", 0x05
  VALUE_MAP_ENTRY    "Chorus/Delay 1  ", 0x06
  VALUE_MAP_ENTRY    "Chorus/Delay 2  ", 0x07
  VALUE_MAP_ENTRY    "Chorus/Compresor", 0x08
  VALUE_MAP_ENTRY    "Compressor      ", 0x09
  VALUE_MAP_ENTRY    "Auto Wah        ", 0x0a
  VALUE_MAP_ENTRY    "Phaser          ", 0x0b
  VALUE_MAP_ENTRY    "Chorus          ", 0x0c
  VALUE_MAP_ENTRY    "Flanger         ", 0x0d
  VALUE_MAP_ENTRY    "Tremolo         ", 0x0e
  VALUE_MAP_ENTRY    "Rotary          ", 0x0f


;;0x58 - Digital Out (V-Amp Pro Only)
; param2_lcd_value_map_9
org 0x405c10

  ENTRIES    8
;                    "Name           ", param2
  VALUE_MAP_ENTRY    "S/PDIF int 44.1 ", 0x00
  VALUE_MAP_ENTRY    "S/PDIF int 48   ", 0x01
  VALUE_MAP_ENTRY    "S/PDIF int 96   ", 0x02
  VALUE_MAP_ENTRY    "S/PDIF ext 32-96", 0x03
  VALUE_MAP_ENTRY    "AES/EBU int 44.1", 0x04
  VALUE_MAP_ENTRY    "AES/EBU int 48  ", 0x05
  VALUE_MAP_ENTRY    "AES/EBU int 96  ", 0x06
  VALUE_MAP_ENTRY    "AES/EBU ext32-96", 0x07


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_default_maps (1 for each pedal input)
 ;;
 ;;
 ;; Contains the entry number, low value and high value
 ;; Each row represents the program change #
 ;;
 ;; entry = Entry in the event_map that should be associatd.
 ;; low_value = the lowest possible value (parameter 2 byte) to send
 ;; high_value = the highest possible value (parameter 2 byte) to send
 ;;
 ;; The parameter 2 value sent will be scaled between the low and high values
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;; Default event_map entry numbers of inputs

; AIN_default_map_0
org 0x407000

; entry, low value, high value
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f
AIN_MAP_ENTRY    0  , 0x00, 0x7f



; AIN_default_map_1
org 0x407200

;             entry, low value, high value
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f
AIN_MAP_ENTRY    16  , 0x00, 0x7f


; AIN_default_map_2
org 0x407400

; entry, low value, high value
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f
AIN_MAP_ENTRY    26  , 0x00, 0x7f


; AIN_default_map_3
org 0x407600

; entry, low value, high value
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f
AIN_MAP_ENTRY    27  , 0x00, 0x7f


; AIN_default_map_4
org 0x407800

; entry, low value, high value
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f
AIN_MAP_ENTRY    32  , 0x00, 0x7f

; AIN_default_map_5
org 0x407a00

; entry, low value, high value
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f
AIN_MAP_ENTRY    31  , 0x00, 0x7f


; AIN_default_map_6
org 0x407c00

; entry, low value, high value
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f
AIN_MAP_ENTRY    29  , 0x00, 0x7f


; AIN_default_map_7
org 0x407e00

; entry, low value, high value
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

;; 16
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

;; 32
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

;; 48
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

;; 64
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

 ;; 80
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

 ;; 96
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f

 ;; 112
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f
AIN_MAP_ENTRY    28  , 0x00, 0x7f


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_FIXED - Pedals set 0 will change depending on the Program change #
 ;;             If set to 1, only the first entry of the relevant table is used
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;  AIN       0 1 2 3 4 5 6 7
AIN_FIXED    1,1,0,0,0,0,0,0

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; DIN_default_map
 ;;
 ;; Contains the event_map entry number, and the low/high midi data to be sent
 ;;
 ;;
 ;; entry = Entry in the event_map that should be associatd. (0 - 255)
 ;; low_value = the lowest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; high_value = the highest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; type = how to handle button presses (SWITCH or MOMENT)
 ;;
 ;; With type set to SWITCH Pressing the button toggles between low and high (Switching)
 ;; With type set to MOMENT Pressing the button sets high value and releasing sets low (Momentary)
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; DIN_default_map
org 0x406520

;            entry, low value, high value, button type}
 ;; Fixed Buttons
DIN_MAP_ENTRY    11 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    12 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    15 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    35 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    11 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    12 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    15 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    35 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    11 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    12 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    15 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    35 , 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    11 , 0x00, 0x7f, SWITCH

 ;; Banked Buttons
DIN_MAP_ENTRY    128, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    129, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    130, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    131, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    132, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    133, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    134, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    135, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    136, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    137, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    138, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    139, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    140, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    141, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    142, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    143, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    144, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    145, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    146, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    147, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    148, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    149, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    150, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    151, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    152, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    153, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    154, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    155, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    156, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    157, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    158, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    159, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    160, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    161, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    162, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    163, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    164, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    165, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    166, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    167, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    168, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    169, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    170, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    171, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    172, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    173, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    174, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    175, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    176, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    177, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    178, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    179, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    180, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    181, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    182, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    183, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    184, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    185, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    186, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    187, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    188, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    189, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    190, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    191, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    192, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    193, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    194, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    195, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    196, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    197, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    198, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    199, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    200, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    201, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    202, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    203, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    204, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    205, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    206, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    207, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    208, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    209, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    210, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    211, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    212, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    213, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    214, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    215, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    216, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    217, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    218, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    219, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    220, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    221, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    222, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    223, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    224, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    225, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    226, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    227, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    228, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    229, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    230, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    231, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    232, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    233, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    234, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    235, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    236, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    237, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    238, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    239, 0x00, 0x7f, SWITCH

DIN_MAP_ENTRY    240, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    241, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    242, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    243, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    244, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    245, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    246, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    247, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    248, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    249, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    250, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    251, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    252, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    253, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    254, 0x00, 0x7f, SWITCH
DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH


END
