

; MIOS Pedal Box / Pedal Board - pbx_tables_pod2.asm v0.95
; Compatable with application vbeta1.1 - September 2007
; ==========================================================================
;
;  Copyright (C) year  name  <email>
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; THIS IS NOT AN UPLOADABLE FILE
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;      "Name            ", Channel
INFO   "Line 6 POD2     ", 1

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Event Map
 ;;
 ;; The event map contains the status and parameter 1 byte of a midi event.
 ;; As well as 16 byte name, and an identifier for the type of function
 ;; that midi event serves - called paramerter 2 definition.
 ;;
 ;;
 ;; Name = Name assigned to control, MUST BE 16 characters long
 ;;
 ;; Status = Data type and channel USE CH. 1 ONLY
 ;;    80  =  Note Off Ch.1
 ;;    90  =  Note On Ch.1
 ;;    B0  =  Control Change Ch.1
 ;;    C0  =  Program (patch) change Ch.1
 ;;
 ;;
 ;;
 ;; param1 = Number of control / program change
 ;;
 ;; Event_handler = data map associataed with the value of parameter 2
 ;;   PROGRAM_CHANGE  =  Program Changes
 ;;   ON_OFF_ONLY     =  On / Off Only
 ;;   TAP_TEMPO       =  Tap Tempo display
 ;;   METER_ONLY      =  Display bar graph only
 ;;   METER_OFF       =  bar graph / 'Off' when 0
 ;;   METER_ON_OFF    =  bar graph / 'Off' when 0, and 'On' when 127
 ;;   METER_PAN       =  bar gragh centered in middle of screen
 ;;   VALUE           =  Displays number only
 ;;   USE_MAP_1       =  param2_lcd_value_map_1
 ;;   USE_MAP_2       =  param2_lcd_value_map_2
 ;;   USE_MAP_3       =  param2_lcd_value_map_3
 ;;   USE_MAP_4       =  param2_lcd_value_map_4
 ;;   USE_MAP_5       =  param2_lcd_value_map_5
 ;;   USE_MAP_6       =  param2_lcd_value_map_6
 ;;   USE_MAP_7       =  param2_lcd_value_map_7
 ;;   USE_MAP_8       =  param2_lcd_value_map_8
 ;;   USE_MAP_9       =  param2_lcd_value_map_9
 ;;
 ;;
 ;; All messages are shown on matching incoming midi events
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 org   0x400000

;                  "Name        ", Status, Param1, event_handler
;; 0- These are the CC's

  EVENT_MAP_ENTRY    "Tweak           ", 0xb0, 0x01, METER_ONLY
  EVENT_MAP_ENTRY    "Wah Position    ", 0xb0, 0x04, METER_ONLY
  EVENT_MAP_ENTRY    "Volume Pedal    ", 0xb0, 0x07, METER_OFF
  EVENT_MAP_ENTRY    "Amp 1 Sel /def  ", 0xb0, 0x0c, USE_MAP_1
  EVENT_MAP_ENTRY    "Amp 1 Drive     ", 0xb0, 0x0d, METER_OFF
  EVENT_MAP_ENTRY    "Amp 1 Bass      ", 0xb0, 0x0e, METER_ONLY
  EVENT_MAP_ENTRY    "Amp 1 Mid       ", 0xb0, 0x0f, METER_ONLY
  EVENT_MAP_ENTRY    "Amp 1 Treble    ", 0xb0, 0x10, METER_ONLY
  EVENT_MAP_ENTRY    "Amp 1 Ch. Volume", 0xb0, 0x11, METER_OFF
  EVENT_MAP_ENTRY    "Reverb Level    ", 0xb0, 0x12, METER_OFF
  EVENT_MAP_ENTRY    "Effect Setup    ", 0xb0, 0x13, USE_MAP_2
  EVENT_MAP_ENTRY    "Drive 2         ", 0xb0, 0x14, METER_ONLY
  EVENT_MAP_ENTRY    "Amp 1 Presence  ", 0xb0, 0x15, METER_ONLY
  EVENT_MAP_ENTRY    "Noise Gate Enabl", 0xb0, 0x16, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Gate Threshold  ", 0xb0, 0x17, USE_MAP_9
  EVENT_MAP_ENTRY    "Gate Decay Time ", 0xb0, 0x18, METER_ONLY

;; 16-
  EVENT_MAP_ENTRY    "Stomp Enable    ", 0xb0, 0x19, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Comp Enable     ", 0xb0, 0x1a, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Delay Enable    ", 0xb0, 0x1c, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Delay Para1 MSB ", 0xb0, 0x1e, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Para1 Note", 0xb0, 0x1f, USE_MAP_8
  EVENT_MAP_ENTRY    "Delay Regeneratn", 0xb0, 0x20, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Mix       ", 0xb0, 0x22, METER_ONLY
  EVENT_MAP_ENTRY    "Reverb Enable   ", 0xb0, 0x24, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Reverb Model    ", 0xb0, 0x25, USE_MAP_3
  EVENT_MAP_ENTRY    "Reverb Decay    ", 0xb0, 0x26, METER_ONLY
  EVENT_MAP_ENTRY    "Reverb Tone     ", 0xb0, 0x27, METER_ONLY
  EVENT_MAP_ENTRY    "Reverb Diffusion", 0xb0, 0x28, METER_ONLY
  EVENT_MAP_ENTRY    "Reverb Density  ", 0xb0, 0x29, METER_ONLY
  EVENT_MAP_ENTRY    "Compression Rati", 0xb0, 0x2a, USE_MAP_4
  EVENT_MAP_ENTRY    "Wah Enable      ", 0xb0, 0x2b, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Wah Bottom Freq.", 0xb0, 0x2c, METER_ONLY

;;32-
  EVENT_MAP_ENTRY    "Wah Top Freq.   ", 0xb0, 0x2d, METER_ONLY
  EVENT_MAP_ENTRY    "Volume Pedal Min", 0xb0, 0x2e, METER_ONLY
  EVENT_MAP_ENTRY    "Volume Pre/Post ", 0xb0, 0x2f, USE_MAP_7
  EVENT_MAP_ENTRY    "Vol. Swell Enabl", 0xb0, 0x30, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Vol Swell Ramp T", 0xb0, 0x31, METER_ONLY
  EVENT_MAP_ENTRY    "Mod Enable      ", 0xb0, 0x32, ON_OFF_ONLY
  EVENT_MAP_ENTRY    "Chorus/Flange Sp", 0xb0, 0x33, METER_ONLY
  EVENT_MAP_ENTRY    "Chorus/Fla.Depth", 0xb0, 0x34, METER_ONLY
  EVENT_MAP_ENTRY    "Chorus/Fla.Regen", 0xb0, 0x35, METER_ONLY
  EVENT_MAP_ENTRY    "Chorus PreDelay ", 0xb0, 0x36, METER_ONLY
  EVENT_MAP_ENTRY    "Rotary Speed    ", 0xb0, 0x37, METER_ONLY
  EVENT_MAP_ENTRY    "Rotary Max Speed", 0xb0, 0x38, METER_ONLY
  EVENT_MAP_ENTRY    "Rotary Min Speed", 0xb0, 0x39, METER_ONLY
  EVENT_MAP_ENTRY    "Tremolo Speed   ", 0xb0, 0x3a, METER_ONLY
  EVENT_MAP_ENTRY    "Tremolo Depth   ", 0xb0, 0x3b, METER_ONLY
  EVENT_MAP_ENTRY    "Delay Time (dbl)", 0xb0, 0x3e, METER_ONLY

;;48-
  EVENT_MAP_ENTRY    "Tap Tempo       ", 0xb0, 0x40, TAP_TEMPO
  EVENT_MAP_ENTRY    "Amp 1 Cab Type  ", 0xb0, 0x47, USE_MAP_5
  EVENT_MAP_ENTRY    "A.I.R. Ambience ", 0xb0, 0x48, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY

;; 64
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY

;; 80
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY

;; 96
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY

;;112
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "                ", 0xb0, 0x00, METER_ONLY


;;128 - program changes
EVENT_MAP_ENTRY    "Manual          ", 0xc0, 0x00, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 1 Ch A     ", 0xc0, 0x01, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 1 Ch B     ", 0xc0, 0x02, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 1 Ch C     ", 0xc0, 0x03, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 1 Ch D     ", 0xc0, 0x04, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 2 Ch A     ", 0xc0, 0x05, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 2 Ch B     ", 0xc0, 0x06, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 2 Ch C     ", 0xc0, 0x07, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 2 Ch D     ", 0xc0, 0x08, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 3 Ch A     ", 0xc0, 0x09, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 3 Ch B     ", 0xc0, 0x0a, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 3 Ch C     ", 0xc0, 0x0b, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 3 Ch D     ", 0xc0, 0x0c, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 4 Ch A     ", 0xc0, 0x0d, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 4 Ch B     ", 0xc0, 0x0e, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 4 Ch C     ", 0xc0, 0x0f, PROGRAM_CHANGE

;; 143-
EVENT_MAP_ENTRY    "Bank 4 Ch D     ", 0xc0, 0x10, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 5 Ch A     ", 0xc0, 0x11, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 5 Ch B     ", 0xc0, 0x12, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 5 Ch C     ", 0xc0, 0x13, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 5 Ch D     ", 0xc0, 0x14, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 6 Ch A     ", 0xc0, 0x15, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 6 Ch B     ", 0xc0, 0x16, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 6 Ch C     ", 0xc0, 0x17, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 6 Ch D     ", 0xc0, 0x18, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 7 Ch A     ", 0xc0, 0x19, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 7 Ch B     ", 0xc0, 0x1a, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 7 Ch C     ", 0xc0, 0x1b, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 7 Ch D     ", 0xc0, 0x1c, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 8 Ch A     ", 0xc0, 0x1d, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 8 Ch B     ", 0xc0, 0x1e, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 8 Ch C     ", 0xc0, 0x1f, PROGRAM_CHANGE

;; 160-
EVENT_MAP_ENTRY    "Bank 8 Ch D     ", 0xc0, 0x20, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 9 Ch A     ", 0xc0, 0x21, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 9 Ch B     ", 0xc0, 0x22, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 9 Ch C     ", 0xc0, 0x23, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Bank 9 Ch D     ", 0xc0, 0x24, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "Tuner           ", 0xc0, 0x25, PROGRAM_CHANGE
EVENT_MAP_ENTRY    "                ", 0xc0, 0x26, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x27, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x28, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x29, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2e, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x2f, 0

;; 176-
EVENT_MAP_ENTRY    "                ", 0xc0, 0x30, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x31, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x32, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x33, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x34, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x35, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x36, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x37, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x38, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x39, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3e, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x3f, 0

;; 192-
EVENT_MAP_ENTRY    "                ", 0xc0, 0x40, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x41, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x42, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x43, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x44, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x45, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x46, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x47, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x48, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x49, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4e, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x4f, 0

;; 208-
EVENT_MAP_ENTRY    "                ", 0xc0, 0x50, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x51, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x52, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x53, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x54, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x55, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x56, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x57, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x58, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x59, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5e, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x5f, 0

;; 224-
EVENT_MAP_ENTRY    "                ", 0xc0, 0x60, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x61, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x62, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x63, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x64, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x65, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x66, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x67, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x68, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x69, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6e, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x6f, 0

;; 240-
EVENT_MAP_ENTRY    "                ", 0xc0, 0x70, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x71, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x72, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x73, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x74, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x75, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x76, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x77, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x78, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x79, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x7a, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x7b, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x7c, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x7d, 0
EVENT_MAP_ENTRY    "                ", 0xc0, 0x7e, 0
EVENT_MAP_ENTRY    "Amp Setup Ctrl  ", 0xc0, 0x7f, PROGRAM_CHANGE

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Param2 Value Maps
 ;;
 ;; These tables allow specified controllers to display names for values
 ;; Controllers are assigned to these maps from the event_map table 'param2_def' 6-15
 ;;
 ;; The LCD will display the name for the exact value match or no exact match - the listed value below
 ;;
 ;;
 ;; ENTRIES   ###   How many entries in table -  MAX 128
 ;;
 ;;
 ;;
 ;;
 ;; When editing a table don't forget to change the ENTRIES to suit.
 ;;
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; 0x0c -- Amp Model
; param2_lcd_value_map_1
org 0x401400

  ENTRIES    32
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Tube Preamp     ", 0x00
  VALUE_MAP_ENTRY    "Line 6 Clean    ", 0x01
  VALUE_MAP_ENTRY    "Line 6 Crunch   ", 0x02
  VALUE_MAP_ENTRY    "Line 6 Drive    ", 0x03
  VALUE_MAP_ENTRY    "Line 6 Layer    ", 0x04
  VALUE_MAP_ENTRY    "Small Tweed     ", 0x05
  VALUE_MAP_ENTRY    "Tweed Blues     ", 0x06
  VALUE_MAP_ENTRY    "Black Panel     ", 0x07
  VALUE_MAP_ENTRY    "Modern Class A  ", 0x08
  VALUE_MAP_ENTRY    "Brit Class A    ", 0x09
  VALUE_MAP_ENTRY    "Brit Blues      ", 0x0a
  VALUE_MAP_ENTRY    "Brit Classic    ", 0x0b
  VALUE_MAP_ENTRY    "Brit Hi Gain    ", 0x0c
  VALUE_MAP_ENTRY    "Rectified       ", 0x0d
  VALUE_MAP_ENTRY    "Modern Hi Gain  ", 0x0e
  VALUE_MAP_ENTRY    "Fuzz Box        ", 0x0f
  VALUE_MAP_ENTRY    "Jazz Clean      ", 0x10
  VALUE_MAP_ENTRY    "Boutique #1     ", 0x11
  VALUE_MAP_ENTRY    "Boutique #2     ", 0x12
  VALUE_MAP_ENTRY    "Brit Class A #2 ", 0x13
  VALUE_MAP_ENTRY    "Brit Class A #3 ", 0x14
  VALUE_MAP_ENTRY    "Small Tweed #2  ", 0x15
  VALUE_MAP_ENTRY    "Black Panel #2  ", 0x16
  VALUE_MAP_ENTRY    "Boutique #3     ", 0x17
  VALUE_MAP_ENTRY    "Cal. Crunch #1  ", 0x18
  VALUE_MAP_ENTRY    "Cal. Crunch #2  ", 0x19
  VALUE_MAP_ENTRY    "Rectified #2    ", 0x1a
  VALUE_MAP_ENTRY    "Modern Hi Gain#2", 0x1b
  VALUE_MAP_ENTRY    "Line 6 Twang    ", 0x1c
  VALUE_MAP_ENTRY    "Line 6 Crunch #2", 0x1d
  VALUE_MAP_ENTRY    "Line 6 Blues    ", 0x1e
  VALUE_MAP_ENTRY    "Line 6 Insane   ", 0x1f


;; 0x13 -- Effect Select
; param2_lcd_value_map_2
org 0x401d02

  ENTRIES    27
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Chorus2         ", 0x00
  VALUE_MAP_ENTRY    "Flanger1        ", 0x01
  VALUE_MAP_ENTRY    "Rotary          ", 0x02
  VALUE_MAP_ENTRY    "Flanger2        ", 0x03
  VALUE_MAP_ENTRY    "Delay/Chorus1   ", 0x04
  VALUE_MAP_ENTRY    "Delay/Tremolo   ", 0x05
  VALUE_MAP_ENTRY    "Delay           ", 0x06
  VALUE_MAP_ENTRY    "Delay/Comp      ", 0x07
  VALUE_MAP_ENTRY    "Chorus1         ", 0x08
  VALUE_MAP_ENTRY    "Tremolo         ", 0x09
  VALUE_MAP_ENTRY    "Bypass          ", 0x0a
  VALUE_MAP_ENTRY    "Compressor      ", 0x0b
  VALUE_MAP_ENTRY    "Delay/Chorus 2  ", 0x0c
  VALUE_MAP_ENTRY    "Delay/Flanger 1 ", 0x0d
  VALUE_MAP_ENTRY    "Delay/Swell     ", 0x0e
  VALUE_MAP_ENTRY    "Delay/Flanger2  ", 0x0f
  VALUE_MAP_ENTRY    "                ", 0x10
  VALUE_MAP_ENTRY    "Seismik Synth   ", 0x11
  VALUE_MAP_ENTRY    "Double Bass     ", 0x12
  VALUE_MAP_ENTRY    "Buzz Wave       ", 0x13
  VALUE_MAP_ENTRY    "Rez Synth       ", 0x14
  VALUE_MAP_ENTRY    "Saturn5 Ring Mod", 0x15
  VALUE_MAP_ENTRY    "Synth Analog    ", 0x16
  VALUE_MAP_ENTRY    "Synth FX        ", 0x17
  VALUE_MAP_ENTRY    "Synth Harmony   ", 0x18
  VALUE_MAP_ENTRY    "Synth Lead      ", 0x19
  VALUE_MAP_ENTRY    "Synth String    ", 0x1a



;; 0x25 -- Reverb Type
; param2_lcd_value_map_3
org 0x402604

; define lcd_value_map_3_length
  ENTRIES    2
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Spring          ", 0x00
  VALUE_MAP_ENTRY    "Hall            ", 0x40


;; 0x2a -- Compression Ratio
; param2_lcd_value_map_4
org 0x402f06

  ENTRIES    6
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Off             ", 0x00
  VALUE_MAP_ENTRY    "1.4:1           ", 0x16
  VALUE_MAP_ENTRY    "2:1             ", 0x2d
  VALUE_MAP_ENTRY    "3:1             ", 0x44
  VALUE_MAP_ENTRY    "6:1             ", 0x5b
  VALUE_MAP_ENTRY    "infinity:1      ", 0x72


;; 0x47 -- Cab Type
; param2_lcd_value_map_5
org 0x403808

  ENTRIES    16
;                    "Name            ", param2

  VALUE_MAP_ENTRY    "1960 Tweed Champ", 0x00
  VALUE_MAP_ENTRY    "1952 Tweed Delux", 0x01
  VALUE_MAP_ENTRY    "1960 Vox AC-15  ", 0x02
  VALUE_MAP_ENTRY    "1964 Blackface  ", 0x03
  VALUE_MAP_ENTRY    "Line 6 1x12     ", 0x04
  VALUE_MAP_ENTRY    "1965 Blackface T", 0x05
  VALUE_MAP_ENTRY    "1967 Vox AC-30  ", 0x06
  VALUE_MAP_ENTRY    "1995 Matchless  ", 0x07
  VALUE_MAP_ENTRY    "Line 6 2x12     ", 0x08
  VALUE_MAP_ENTRY    "1959 Bassman    ", 0x09
  VALUE_MAP_ENTRY    "Line 6 4x10     ", 0x0a
  VALUE_MAP_ENTRY    "1996 Vintage 30s", 0x0b
  VALUE_MAP_ENTRY    "1978 Stock 70s  ", 0x0c
  VALUE_MAP_ENTRY    "1997 Off Axis   ", 0x0d
  VALUE_MAP_ENTRY    "Line 6 4x12     ", 0x0e
  VALUE_MAP_ENTRY    "No Cab          ", 0x0f


;;0x37 -- Rotary Speed
; param2_lcd_value_map_6
org 0x40410a

  ENTRIES    2
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Slow            ", 0x00
  VALUE_MAP_ENTRY    "Fast            ", 0x40



;;Many  Pre/Post
; param2_lcd_value_map_7
org 0x404a0c

  ENTRIES    2
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Pre             ", 0x00
  VALUE_MAP_ENTRY    "Post            ", 0x40


;;0x00 -- Note Map
; param2_lcd_value_map_8
org 0x40530e

  ENTRIES    13
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "Whole           ", 0x00
  VALUE_MAP_ENTRY    "Dotted Half     ", 0x01
  VALUE_MAP_ENTRY    "Half            ", 0x02
  VALUE_MAP_ENTRY    "Half Triplet    ", 0x03
  VALUE_MAP_ENTRY    "Dotted Quarter  ", 0x04
  VALUE_MAP_ENTRY    "Quarter         ", 0x05
  VALUE_MAP_ENTRY    "Quarter Triplet ", 0x06
  VALUE_MAP_ENTRY    "Dotted Eighth   ", 0x07
  VALUE_MAP_ENTRY    "Eighth          ", 0x08
  VALUE_MAP_ENTRY    "Eighth Triplet  ", 0x09
  VALUE_MAP_ENTRY    "Dotted Sixteenth", 0x0a
  VALUE_MAP_ENTRY    "Sizteenth       ", 0x0b
  VALUE_MAP_ENTRY    "Sixteenth Triplt", 0x0c


;;0x00 -- <event>
; param2_lcd_value_map_9
org 0x405c10

  ENTRIES    96
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "-96dB           ", 0x00
  VALUE_MAP_ENTRY    "-95dB           ", 0x21
  VALUE_MAP_ENTRY    "-94dB           ", 0x22
  VALUE_MAP_ENTRY    "-93dB           ", 0x23
  VALUE_MAP_ENTRY    "-92dB           ", 0x24
  VALUE_MAP_ENTRY    "-91dB           ", 0x25
  VALUE_MAP_ENTRY    "-90dB           ", 0x26
  VALUE_MAP_ENTRY    "-89dB           ", 0x27
  VALUE_MAP_ENTRY    "-88dB           ", 0x28
  VALUE_MAP_ENTRY    "-87dB           ", 0x29
  VALUE_MAP_ENTRY    "-86dB           ", 0x2a
  VALUE_MAP_ENTRY    "-85dB           ", 0x2b
  VALUE_MAP_ENTRY    "-84dB           ", 0x2c
  VALUE_MAP_ENTRY    "-83dB           ", 0x2d
  VALUE_MAP_ENTRY    "-82dB           ", 0x2e
  VALUE_MAP_ENTRY    "-81dB           ", 0x2f

  VALUE_MAP_ENTRY    "-80dB           ", 0x30
  VALUE_MAP_ENTRY    "-79dB           ", 0x31
  VALUE_MAP_ENTRY    "-78dB           ", 0x32
  VALUE_MAP_ENTRY    "-77dB           ", 0x33
  VALUE_MAP_ENTRY    "-76dB           ", 0x34
  VALUE_MAP_ENTRY    "-75dB           ", 0x35
  VALUE_MAP_ENTRY    "-74dB           ", 0x36
  VALUE_MAP_ENTRY    "-73dB           ", 0x37
  VALUE_MAP_ENTRY    "-72dB           ", 0x38
  VALUE_MAP_ENTRY    "-71dB           ", 0x39
  VALUE_MAP_ENTRY    "-70dB           ", 0x3a
  VALUE_MAP_ENTRY    "-69dB           ", 0x3b
  VALUE_MAP_ENTRY    "-68dB           ", 0x3c
  VALUE_MAP_ENTRY    "-67dB           ", 0x3d
  VALUE_MAP_ENTRY    "-66dB           ", 0x3e
  VALUE_MAP_ENTRY    "-65dB           ", 0x3f

  VALUE_MAP_ENTRY    "-64dB           ", 0x40
  VALUE_MAP_ENTRY    "-63dB           ", 0x41
  VALUE_MAP_ENTRY    "-62dB           ", 0x42
  VALUE_MAP_ENTRY    "-61dB           ", 0x43
  VALUE_MAP_ENTRY    "-60dB           ", 0x44
  VALUE_MAP_ENTRY    "-59dB           ", 0x45
  VALUE_MAP_ENTRY    "-58dB           ", 0x46
  VALUE_MAP_ENTRY    "-57dB           ", 0x47
  VALUE_MAP_ENTRY    "-56dB           ", 0x48
  VALUE_MAP_ENTRY    "-55dB           ", 0x49
  VALUE_MAP_ENTRY    "-54dB           ", 0x4a
  VALUE_MAP_ENTRY    "-53dB           ", 0x4b
  VALUE_MAP_ENTRY    "-52dB           ", 0x4c
  VALUE_MAP_ENTRY    "-51dB           ", 0x4d
  VALUE_MAP_ENTRY    "-50dB           ", 0x4e
  VALUE_MAP_ENTRY    "-49dB           ", 0x4f

  VALUE_MAP_ENTRY    "-48dB           ", 0x50
  VALUE_MAP_ENTRY    "-47dB           ", 0x51
  VALUE_MAP_ENTRY    "-46dB           ", 0x52
  VALUE_MAP_ENTRY    "-45dB           ", 0x53
  VALUE_MAP_ENTRY    "-44dB           ", 0x54
  VALUE_MAP_ENTRY    "-43dB           ", 0x55
  VALUE_MAP_ENTRY    "-42dB           ", 0x56
  VALUE_MAP_ENTRY    "-41dB           ", 0x57
  VALUE_MAP_ENTRY    "-40dB           ", 0x58
  VALUE_MAP_ENTRY    "-39dB           ", 0x59
  VALUE_MAP_ENTRY    "-38dB           ", 0x5a
  VALUE_MAP_ENTRY    "-37dB           ", 0x5b
  VALUE_MAP_ENTRY    "-36dB           ", 0x5c
  VALUE_MAP_ENTRY    "-35dB           ", 0x5d
  VALUE_MAP_ENTRY    "-34dB           ", 0x5e
  VALUE_MAP_ENTRY    "-33dB           ", 0x5f

  VALUE_MAP_ENTRY    "-32dB           ", 0x60
  VALUE_MAP_ENTRY    "-31dB           ", 0x61
  VALUE_MAP_ENTRY    "-30dB           ", 0x62
  VALUE_MAP_ENTRY    "-29dB           ", 0x63
  VALUE_MAP_ENTRY    "-28dB           ", 0x64
  VALUE_MAP_ENTRY    "-27dB           ", 0x65
  VALUE_MAP_ENTRY    "-26dB           ", 0x66
  VALUE_MAP_ENTRY    "-25dB           ", 0x67
  VALUE_MAP_ENTRY    "-24dB           ", 0x68
  VALUE_MAP_ENTRY    "-23dB           ", 0x69
  VALUE_MAP_ENTRY    "-22dB           ", 0x6a
  VALUE_MAP_ENTRY    "-21dB           ", 0x6b
  VALUE_MAP_ENTRY    "-20dB           ", 0x6c
  VALUE_MAP_ENTRY    "-19dB           ", 0x6d
  VALUE_MAP_ENTRY    "-18dB           ", 0x6e
  VALUE_MAP_ENTRY    "-17dB           ", 0x6f

  VALUE_MAP_ENTRY    "-16dB           ", 0x70
  VALUE_MAP_ENTRY    "-15dB           ", 0x71
  VALUE_MAP_ENTRY    "-14dB           ", 0x72
  VALUE_MAP_ENTRY    "-13dB           ", 0x73
  VALUE_MAP_ENTRY    "-12dB           ", 0x74
  VALUE_MAP_ENTRY    "-11dB           ", 0x75
  VALUE_MAP_ENTRY    "-10dB           ", 0x76
  VALUE_MAP_ENTRY    "-09dB           ", 0x77
  VALUE_MAP_ENTRY    "-08dB           ", 0x78
  VALUE_MAP_ENTRY    "-07dB           ", 0x79
  VALUE_MAP_ENTRY    "-06dB           ", 0x7a
  VALUE_MAP_ENTRY    "-05dB           ", 0x7b
  VALUE_MAP_ENTRY    "-04dB           ", 0x7c
  VALUE_MAP_ENTRY    "-03dB           ", 0x7d
  VALUE_MAP_ENTRY    "-02dB           ", 0x7e
  VALUE_MAP_ENTRY    "-0dB            ", 0x7f




 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_default_maps (1 for each pedal input)
 ;;
 ;;
 ;; Contains the entry number, low value and high value
 ;; Each row represents the program change #
 ;;
 ;; entry = Entry in the event_map that should be associatd.
 ;; low_value = the lowest possible value (parameter 2 byte) to send
 ;; high_value = the highest possible value (parameter 2 byte) to send
 ;;
 ;; The parameter 2 value sent will be scaled between the low and high values
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 ;; Default event_map entry numbers of inputs

; AIN_default_map_0
org 0x407000

; entry, low value, high value
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f
  AIN_MAP_ENTRY    33  , 0x00, 0x7f



; AIN_default_map_1
org 0x407200

; entry, low value, high value
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f
  AIN_MAP_ENTRY    30  , 0x00, 0x7f


; AIN_default_map_2
org 0x407400

; entry, low value, high value
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    27 , 0x00, 0x7f
  AIN_MAP_ENTRY    0  , 0x00, 0x32


; AIN_default_map_3
org 0x407600

; entry, low value, high value
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    23 , 0x00, 0x7f
  AIN_MAP_ENTRY    49 , 0x00, 0x10


; AIN_default_map_4
org 0x407800

; entry, low value, high value
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    20 , 0x00, 0x7f
  AIN_MAP_ENTRY    12 , 0x00, 0x0f

; AIN_default_map_5
org 0x407a00

; entry, low value, high value
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    19 , 0x00, 0x7f
  AIN_MAP_ENTRY    50 , 0x00, 0x7f


; AIN_default_map_6
org 0x407c00

; entry, low value, high value
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    40 , 0x00, 0x7f
  AIN_MAP_ENTRY    7  , 0x00, 0x7f


; AIN_default_map_7
org 0x407e00

; entry, low value, high value
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

;; 16
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

;; 32
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

;; 48
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

;; 64
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

 ;; 80
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

 ;; 96
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f

 ;; 112
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    41 , 0x00, 0x7f
  AIN_MAP_ENTRY    3  , 0x00, 0x7f


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;
 ;; AIN_FIXED - Pedals set 0 will change depending on the Program change #
 ;;             If set to 1, only the first entry of the relevant table is used
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;AIN         0 1 2 3 4 5 6 7
AIN_FIXED    1,1,0,0,0,0,0,0

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; DIN_default_map
 ;;
 ;; Contains the event_map entry number, and the low/high midi data to be sent
 ;;
 ;;
 ;; entry = Entry in the event_map that should be associatd. (0 - 255)
 ;; low_value = the lowest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; high_value = the highest possible value (parameter 2 byte) to send (0x00 - 0x7f)
 ;; type = how to handle button presses (SWITCH or MOMENT)
 ;;
 ;; With type set to SWITCH Pressing the button toggles between low and high (Switching)
 ;; With type set to MOMENT Pressing the button sets high value and releasing sets low (Momentary)
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; DIN_default_map
org 0x406520

; entry, low value, high value, type}
  ;; Fixed Buttons
  DIN_MAP_ENTRY    14 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    13 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    15 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    21 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    16 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    39 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    38 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    36 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    165, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    7  , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    14 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    13 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    15 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    21 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    16 , 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    39 , 0x00, 0x7f, SWITCH

 ;; Banked Buttons
  DIN_MAP_ENTRY    128, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    129, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    130, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    131, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    132, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    133, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    134, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    135, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    136, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    137, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    138, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    139, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    140, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    141, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    142, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    143, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    144, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    145, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    146, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    147, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    148, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    149, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    150, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    151, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    152, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    153, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    154, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    155, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    156, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    157, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    158, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    159, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    160, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    161, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    162, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    163, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    164, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    165, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    166, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    167, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    168, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    169, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    170, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    171, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    172, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    173, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    174, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    175, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    176, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    177, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    178, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    179, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    180, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    181, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    182, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    183, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    184, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    185, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    186, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    187, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    188, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    189, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    190, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    191, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    192, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    193, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    194, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    195, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    196, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    197, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    198, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    199, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    200, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    201, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    202, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    203, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    204, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    205, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    206, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    207, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    208, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    209, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    210, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    211, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    212, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    213, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    214, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    215, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    216, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    217, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    218, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    219, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    220, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    221, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    222, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    223, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    224, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    225, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    226, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    227, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    228, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    229, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    230, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    231, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    232, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    233, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    234, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    235, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    236, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    237, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    238, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    239, 0x00, 0x7f, SWITCH

  DIN_MAP_ENTRY    240, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    241, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    242, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    243, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    244, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    245, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    246, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    247, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    248, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    249, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    250, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    251, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    252, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    253, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    254, 0x00, 0x7f, SWITCH
  DIN_MAP_ENTRY    255, 0x00, 0x7f, SWITCH

END
